## mac-fdisk 0.1

=== Makefile ===
all: pdisk fdisk

pdisk: pdisk.o dump.o partition_map.o convert.o io.o errors.o bitfield.o

fdisk: fdisk.o fdisklabel.o

clean:
	rm -f *.o pdisk fdisk

distribution:
	cd ..; tar cvf pdisk.src.tar.`date +%y%m%d` --files-from pdisk/list.src
	tar cvf ../pdisk.bin.tar.`date +%y%m%d` pdisk fdisk pdisk.8
	cp pdisk.hqx ../pdisk.hqx.`date +%y%m%d`

convert.o: convert.c partition_map.h convert.h
dump.o: dump.c io.h errors.h partition_map.h
errors.o: errors.c errors.h
io.o: io.c pdisk.h io.h errors.h
partition_map.o: partition_map.c partition_map.h pdisk.h convert.h io.h errors.h
pdisk.o: pdisk.c pdisk.h io.h errors.h partition_map.h version.h

partition_map.h: dpme.h
dpme.h: bitfield.h

=== debian/changelog ===
mac-fdisk (0.1-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (quilt). (Closes: #1007407)
  * Include system headers and prevent old error handling (Closes: #1011530)
  * d/rules: Add missing targets.
  * Change section to otherosfs.

 -- Bastian Germann <bage@debian.org>  Tue, 16 May 2023 21:26:00 +0200

mac-fdisk (0.1-18) unstable; urgency=medium

  * New maintainer:
    - Set myself as maintainer in debian/control
  * Add missing debian/compat, set to 9
  * Stop building udeb packages:
    - Remove references to {mac,pmac}-fdisk-udeb from debian/control
    - Remove references to udeb packages from debian/rules
  * Add missing pmac-fdisk-cross package to debian/control as it
    is actually being built in debian/rules (Closes: #408341)
  * Build cross packages on i386 as well (Closes: #202019)
  * Add Vcs-Git and Vcs-Browser URLs to debian/control
  * Set Priority to optional in debian/control
  * Remove Priority extra for cross packages in debian/control
  * Set Section utils for {mac,pmac}-fdisk in debian/control
  * Remove unnecessary build dependencies coreutils and grep
  * Update and amend long and short descriptions in debian/control
  * Remove trailing white-spaces in debian/control
  * Remove cruft and fix formatting in debian/changelog

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 22 Sep 2017 16:12:01 +0200

mac-fdisk (0.1-17) unstable; urgency=low

  * Fix postinst failure - dpkg --print-installation-architecture
    is no longer supported. Patch by Finn Thain <fthain@telegraphics.com.au>
    Closes: #644845.

 -- Michael Schmitz <schmitzmic@gmail.com>  Tue, 11 AUg 2017 15:49:23 +1200

mac-fdisk (0.1-16) unstable; urgency=low

  * Fix udeb shlib dependencies - patch by Frans Pop <elendil@planet.nl>
    Closes: #562190.

 -- Michael Schmitz <schmitz@debian.org>  Sun, 03 Jan 2010 13:47:27 +1200

mac-fdisk (0.1-15) unstable; urgency=low

  * Rebuild against current glibc to get rid of sys_errlist type size
    warning (bug reported by Rick Thomas).
    Closes: #451386.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Mon, 25 Sep 2005 14:50:13 +0100

mac-fdisk (0.1-14) unstable; urgency=low

  * Fix dpme.h u32 typedef which caused a mismatch between disk and memory
    partition map format.
    Closes: #389379.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Mon, 25 Sep 2005 14:50:13 +0100

mac-fdisk (0.1-13) unstable; urgency=low

  * Add patch for broken dpkg --print-gnu-build-architecture
    (patch by Andreas Jochens <aj@andaco.de>).
    Closes: #328102.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Wed, 14 Sep 2005 17:25:23 +0100

mac-fdisk (0.1-12) unstable; urgency=low

  * Add makefile support for ppc64 arch (patch by Andreas Jochens
    <aj@andaco.de>).
    Closes: #307897.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Mon, 09 May 2005 12:58:47 +0100

mac-fdisk (0.1-11) unstable; urgency=low

  * Big fat overdue cleanup - back in business after replacing my stolen
    Powerbook.
  * fixes as suggested in proposed NMU: changes mostly by Frank Lichtenheld
    <djpig@debian.org>, with subarchitecture modifications by Colin Watson
    <cjwatson@debian.org>.
  * Copy needed kernel definitions from kernel-headers 2.4.25 (powerpc) and
    2.4.26-m68k (cjwatson; Closes: #262457).
  * Add Subarchitecture: fields in DEBIAN/control of the udebs. "mac" for
    mac-fdisk-udeb on m68k, "powermac_oldworld powermac_newworld" for
    mac-fdisk-udeb on powerpc, and "chrp chrp_pegasos prep iseries" for
    pmac-fdisk-udeb on powerpc (djpig; Closes: #250581).
  * Remove XSI:sms in debian/rules and debian/postinst, patch by David
    Weinehall (djpig; Closes: #254918).

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Thu, 26 Aug 2004 14:23:13 +0200

mac-fdisk (0.1-10) unstable; urgency=high

  * Added .udeb magic to rules (kudos to Gaudenz Steinlin
    <gaudenz@soziologie.ch>); kept mac-fdisk in /sbin though).
    Closes: #188420.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Wed, 04 Jun 2003 17:06:02 +0200

mac-fdisk (0.1-9) unstable; urgency=high

  * Rebuilt with woody binutils to allow for prelinking. Closes: #176353.

  * Set 'automagically mount on boot' flag when creating HFS partitions
    (thanks to Derrick Pates <dpates@dsdk12.net> for finding the
    undocumented bit!). Experimental, but this is unstable, right?

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Fri, 24 Jan 2003 16:20:20 +0200

mac-fdisk (0.1-8) unstable; urgency=high

  * Update mac-fdisk man page (kudos to Chris Tillman). Closes: #121928.

  * Remove mac-fdisk-cross from control file; remove Sparc from Arch: entries
    (to get rid of outdated mac-fdisk-cross 0.1-1 in the archive). Change
    package descrption line for pmac-fdisk to emphasize it's a fdisk clone.

  * Change sync() to ioctl(fd, BLKFLSBUF) to flush partition table to disk
    on write - hopefully work around a kernel bug on new machines.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Fri, 07 Dec 2001 13:38:10 +0200

mac-fdisk (0.1-7) unstable; urgency=high

  * Bugfix: mac-fdisk didn't properly handle devfs device names. Mangle disk
    name (.../disc) in dump routine to end in .../part%d (patch by Colin
    Walters <walters@verbum.org>). Closes: #110056.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Mon, 04 Sep 2001 16:02:45 +0200

mac-fdisk (0.1-6.0potato1) stable; urgency=high

  * Feature added: menu option to create bootstrap partition needed for
    powerpc NewWorld machines with the proper type and size (patch supplied
    by Ethan Benson). This should help newbies that won't read the docs
    anyway. Closes: #99660.

  * Bugfix: mac-fdisk used to get the disk size wrong when brute force
    probing for end-of-disk by seek&read. Turns out gcc did not cope with
    arithmetics on long long types without explicit cast. Closes: #99700.



=== debian/control ===
Source: mac-fdisk
Section: otherosfs
Priority: optional
Build-Depends: debhelper
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Standards-Version: 3.5.8.0
Vcs-Git: git://github.com/glaubitz/mac-fdisk-debian.git
Vcs-Browser: https://github.com/glaubitz/mac-fdisk-debian

Package: mac-fdisk
Architecture: m68k powerpc ppc64
Section: utils
Depends: ${shlibs:Depends}
Description: Apple disk partition manipulation tool
 The fdisk utilities from the MkLinux project, adopted for Linux/m68k.
 Mac-fdisk allows you to create and edit the partition table of a disk.
 It supports only the Apple partition format used on Macintosh and PowerMac,
 use pmac-fdisk for PC partition format disks as used on PowerPC machines.
 Mac-fdisk is an interactive tool with a menu similar to PC fdisk, supported
 options are somewhat different from PC fdisk due to the differences in
 partition format.

Package: pmac-fdisk
Architecture: powerpc ppc64
Section: utils
Depends: ${shlibs:Depends}
Description: Apple fdisk partition manipulation tool for PowerPC
 The fdisk utilities from the MkLinux project, adopted for Linux/ppc.
 Pmac-fdisk allows you to create and edit the partition table of a disk.
 It supports the PC partition format as used on PowerPC. It is an
 interactive tool similar to PC fdisk.

Package: mac-fdisk-cross
Architecture: i386 m68k
Depends: ${shlibs:Depends}
Description: Apple disk partition manipulation tool, cross version
 The fdisk utilities from the MkLinux project, adopted for Linux/m68k.
 Mac-fdisk allows you to create and edit the partition table of a disk.
 It supports only the Apple partition format used on Macintosh and PowerMac,
 use pmac-fdisk for PC partition format disks as used on PowerPC machines.
 Mac-fdisk is an interactive tool with a menu similar to PC fdisk, supported
 options are somewhat different from PC fdisk due to the differences in
 partition format.
 .
 This package contains the cross version of the package.

Package: pmac-fdisk-cross
Architecture: i386 m68k
Depends: ${shlibs:Depends}
Description: fdisk partition manipulation tool for PowerPC, cross version
 The fdisk utilities from the MkLinux project, adopted for Linux/ppc.
 Pmac-fdisk allows you to create and edit the partition table of a disk.
 It supports the PC partition format as used on PowerPC. It is an
 interactive tool similar to PC fdisk.
 .
 This package contains the cross version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

export DH_VERBOSE=1

#BUILDARCH = $(shell dpkg --print-gnu-build-architecture)
BUILDARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
POWERPC = $(findstring $(BUILDARCH),powerpc ppc64)

packmn  = mac-fdisk
packmc  = mac-fdisk-cross
packpmn = pmac-fdisk
packpmc = pmac-fdisk-cross
tmpmn   = debian/tmp
tmpmc   = debian/$(packmc)
tmppmn  = debian/$(packpmn)
tmppmc  = debian/$(packpmc)
docmn   = $(tmpmn)/usr/share/doc/$(packmn)
docmc   = $(tmpmc)/usr/share/doc/$(packmc)
docpmn  = $(tmppmn)/usr/share/doc/$(packpmn)
docpmc  = $(tmppmc)/usr/share/doc/$(packpmc)

ifeq "$(BUILDARCH)" "powerpc"
mac_subarches=powermac_oldworld powermac_newworld
pmac_subarches=chrp chrp_pegasos prep iseries
else
mac_subarches=mac
endif

build: build-arch build-indep
build-indep:

build-arch:
	$(checkdir)
	make CFLAGS="-O2 -g -Wall"
	touch build-arch

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf $(tmpmn) $(tmpmc) $(tmppmn) $(tmppmc) debian/files* core debian/*substvars

binary-indep: build-indep
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build-arch
	dh_testdir pdisk.h
	dh_testroot
	dh_clean -k
	#dh_installdirs
	# we don't want to package the pdisk man page
	mv pdisk.8 pdisk.8.in
	set -e; if [ "$(BUILDARCH)" = "m68k" ] || [ -n "$(POWERPC)" ]; then \
		install -d $(tmpmn)/sbin; \
		install -m 755 pdisk $(tmpmn)/sbin/mac-fdisk; \
		install -d $(tmpmn)/usr/share/man/man8; \
		install -m 644 debian/mac-fdisk.8.in $(tmpmn)/usr/share/man/man8/mac-fdisk.8; \
		dh_installdocs README -p$(packmn); \
		dh_installmanpages -p$(packmn); \
		dh_installchangelogs HISTORY -p$(packmn); \
	else \
		install -d $(tmpmc)/usr/sbin; \
		install -m 755 pdisk $(tmpmc)/usr/sbin/mac-fdisk; \
		install -d $(tmpmn)/usr/share/man/man8; \
		install -m 644 debian/mac-fdisk.8.in $(tmpmn)/usr/share/man/man8/mac-fdisk.8; \
		dh_installdocs README -p$(packmc); \
		dh_installmanpages  -p$(packmc); \
		dh_installchangelogs HISTORY -p$(packmc); \
	fi
	set -e; if [ -n "$(POWERPC)" ]; then \
		install -d $(tmppmn)/sbin; \
		install -m 755 fdisk $(tmppmn)/sbin/pmac-fdisk; \
		install -d $(tmppmn)/usr/share/man/man8; \
		install -m 644 debian/pmac-fdisk.8.in $(tmppmn)/usr/share/man/man8/pmac-fdisk.8; \
		dh_installdocs README -p$(packpmn); \
		dh_installmanpages  -p$(packpmn); \
		dh_installchangelogs HISTORY -p$(packpmn); \
	else \
		install -d $(tmppmc)/usr/sbin; \
		install -m 755 fdisk $(tmppmc)/usr/sbin/pmac-fdisk; \
		install -d $(tmppmc)/usr/share/man/man8; \
		install -m 644 debian/pmac-fdisk.8.in $(tmppmc)/usr/share/man/man8/pmac-fdisk.8; \
		dh_installdocs README -p$(packpmc); \
		dh_installmanpages  -p$(packpmc); \
		dh_installchangelogs HISTORY -p$(packpmc); \
	fi
	# install README.Debian also in cross package (not done by dh_installdocs)
	set -e; if [ "$(BUILDARCH)" != "m68k" ] && ! [ -n "$(POWERPC)" ]; then \
		install -m 644 debian/README.debian $(docmc)/README.Debian; \
	fi
	# and move the pdisk man page back again ...
	mv pdisk.8.in pdisk.8

	# build native pdisk only for m68k, cross package only for others
	set -e; if [ "$(BUILDARCH)" = "m68k" ] || [ -n "$(POWERPC)" ]; then \
		dh_strip -p$(packmn) -P$(tmpmn); \
		dh_compress -p$(packmn) -P$(tmpmn); \
		dh_fixperms -p$(packmn) -P$(tmpmn); \
		dh_installdeb -p$(packmn) -P$(tmpmn); \
		dh_shlibdeps -p$(packmn) -P$(tmpmn); \
		dh_gencontrol -p$(packmn) -P$(tmpmn); \
		dh_md5sums -p$(packmn) -P$(tmpmn); \
	else \
		dh_strip -p$(packmc); \
		dh_compress -p$(packmc); \
		dh_fixperms -p$(packmc); \
		dh_installdeb -p$(packmc); \
		dh_shlibdeps -p$(packmc); \
		dh_gencontrol -p$(packmc); \
		dh_md5sums -p$(packmc); \
	fi
	# build native fdisk only for powerpc, cross package only for others
	set -e; if [ -n "$(POWERPC)" ]; then \
		dh_strip -p$(packpmn); \
		dh_compress -p$(packpmn); \
		dh_fixperms -p$(packpmn); \
		dh_installdeb -p$(packpmn); \
		dh_shlibdeps -p$(packpmn); \
		dh_gencontrol -p$(packpmn); \
		dh_md5sums -p$(packpmn); \
	else \
		dh_strip -p$(packpmc); \
		dh_compress -p$(packpmc); \
		dh_fixperms -p$(packpmc); \
		dh_installdeb -p$(packpmc); \
		dh_shlibdeps -p$(packpmc); \
		dh_gencontrol -p$(packpmc); \
		dh_md5sums -p$(packpmc); \
	fi
	set -e; if [ "$(BUILDARCH)" = "m68k" ] || [ -n "$(POWERPC)" ]; then \
		dh_builddeb -p$(packmn) -P$(tmpmn); \
	else \
		dh_builddeb -p$(packmc); \
	fi
	set -e; if [ -n "$(POWERPC)" ]; then \
		dh_builddeb -p$(packpmn); \
	else \
		dh_builddeb -p$(packpmc); \
	fi

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep build build-indep clean checkroot
